Package com.smartgwt.client.widgets.menu

# Class MenuItemSeparator

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Record
com.smartgwt.client.widgets.grid.ListGridRecord
com.smartgwt.client.widgets.menu.MenuItem
com.smartgwt.client.widgets.menu.MenuItemSeparator

All Implemented Interfaces:
  `HasHandlers`, `HasClickHandlers`

public class MenuItemSeparator extends MenuItem

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MenuItemSeparator()`

- ## Method Summary

  ### Methods inherited from class com.smartgwt.client.widgets.menu.MenuItem

  `addClickHandler, getAutoDismiss, getCanSelectParent, getChecked, getDisabledIcon, getEmbeddedComponent, getEmbeddedComponentFields, getEmbeddedComponentPosition, getEnabled, getEnableWhen, getFetchSubmenus, getHidden, getIcon, getIconHeight, getIconWidth, getIsSeparator, getKeyTitle, getOrCreateRef, getShowIconOnlyInline, getSubmenu, getTitle, getVisibleWhen, setAutoDismiss, setCanSelectParent, setChecked, setCheckIfCondition, setDisabledIcon, setDynamicIconFunction, setDynamicTitleFunction, setEmbeddedComponent, setEmbeddedComponentFields, setEmbeddedComponentPosition, setEnabled, setEnableIfCondition, setEnableWhen, setFetchSubmenus, setHidden, setIcon, setIconHeight, setIconWidth, setIsSeparator, setKeys, setKeyTitle, setShowIconOnlyInline, setSubmenu, setTitle, setVisibleWhen`

  ### Methods inherited from class com.smartgwt.client.widgets.grid.ListGridRecord

  `get_baseStyle, get_canEdit, get_canRemove, getBackgroundComponent, getCanAcceptDrop, getCanDrag, getCanExpand, getCanSelect, getCustomStyle, getDetailDS, getIncludeInSummary, getIsGridSummary, getIsGroupSummary, getLinkText, getShowRollOver, getSingleCellValue, set_baseStyle, set_canEdit, set_canRemove, setBackgroundComponent, setCanAcceptDrop, setCanDrag, setCanExpand, setCanSelect, setCustomStyle, setDetailDS, setIncludeInSummary, setIsGridSummary, setIsGroupSummary, setLinkText, setShowRollOver, setSingleCellValue`

  ### Methods inherited from class com.smartgwt.client.data.Record

  `convertToRecordArray, copyAttributes, copyAttributesInto, getAttributeAsRecordArray, getAttributeAsRecordList, getPaletteDefaults, isARecord, toMap`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### MenuItemSeparator

    public MenuItemSeparator()